// content.js
function insertRateCommentButton() {
    // Check if the button already exists
    if (document.getElementById('rate-comment-btn')) return;
  
    // Create the button
    const button = document.createElement('button');
    button.id = 'rate-comment-btn';
    button.textContent = 'Rate and Comment';
  
    // Style the button
    button.style.position = 'fixed';
    button.style.bottom = '10px';
    button.style.right = '10px';
    button.style.padding = '10px 20px';
    button.style.backgroundColor = '#0074e4';
    button.style.color = 'white';
    button.style.border = 'none';
    button.style.borderRadius = '5px';
    button.style.cursor = 'pointer';
    button.style.zIndex = '1000';
  
    // Append the button to the body
    document.body.appendChild(button);
  
    // Add click event listener
    button.addEventListener('click', () => {
      chrome.runtime.sendMessage({ action: 'openPopup' });
    });
  
    // Fetch and display existing ratings and comments for the current URL
    chrome.runtime.sendMessage({ action: 'fetchData' }, (response) => {
      if (response && response.data) {
        displayRatingsAndComments(response.data);
      }
    });
  }
  
  function displayRatingsAndComments(data) {
    const container = document.createElement('div');
    container.id = 'ratings-comments-container';
    container.style.position = 'fixed';
    container.style.bottom = '60px';
    container.style.right = '10px';
    container.style.backgroundColor = 'white';
    container.style.border = '1px solid #ccc';
    container.style.padding = '10px';
    container.style.borderRadius = '5px';
    container.style.boxShadow = '0 0 10px rgba(0,0,0,0.1)';
    container.style.zIndex = '1000';
    container.style.maxHeight = '300px';
    container.style.overflowY = 'auto';
  
    data.forEach(entry => {
      const entryDiv = document.createElement('div');
      entryDiv.style.marginBottom = '10px';
      entryDiv.innerHTML = `<strong>Rating:</strong> ${entry.rating}<br/><strong>Comment:</strong> ${entry.comment}<br/><small><em>${entry.timestamp}</em></small>`;
      container.appendChild(entryDiv);
    });
  
    document.body.appendChild(container);
  }
  
  // Insert the button and fetch data when the script runs
  insertRateCommentButton();
  